Index: modules/ldapbackend/ldapbackend.cc
===================================================================
--- modules/ldapbackend/ldapbackend.cc.orig	2008-03-02 09:20:13.000000000 +0100
+++ modules/ldapbackend/ldapbackend.cc	2009-01-28 16:57:00.518273946 +0100
@@ -70,7 +70,7 @@ LdapBackend::LdapBackend( const string &
 	{
 		L << Logger::Error << m_myname << " Ldap connection to server failed: " << le.what() << endl;
 	}
-	catch( exception &e )
+	catch( std::exception &e )
 	{
 		L << Logger::Error << m_myname << " Caught STL exception: " << e.what() << endl;
 	}
@@ -109,7 +109,7 @@ bool LdapBackend::list( const string& ta
 		L << Logger::Error << m_myname << " Unable to get zone " + target + " from LDAP directory: " << le.what() << endl;
 		throw( AhuException( "LDAP server unreachable" ) );   // try to reconnect to another server
 	}
-	catch( exception &e )
+	catch( std::exception &e )
 	{
 		L << Logger::Error << m_myname << " Caught STL exception for target " << target << ": " << e.what() << endl;
 		throw( DBException( "STL exception" ) );
@@ -186,7 +186,7 @@ void LdapBackend::lookup( const QType &q
 		L << Logger::Error << m_myname << " Unable to search LDAP directory: " << le.what() << endl;
 		throw( AhuException( "LDAP server unreachable" ) );   // try to reconnect to another server
 	}
-	catch( exception &e )
+	catch( std::exception &e )
 	{
 		L << Logger::Error << m_myname << " Caught STL exception for qname " << qname << ": " << e.what() << endl;
 		throw( DBException( "STL exception" ) );
@@ -476,7 +476,7 @@ bool LdapBackend::get( DNSResourceRecord
 		L << Logger::Error << m_myname << " Search failed: " << le.what() << endl;
 		throw( AhuException( "LDAP server unreachable" ) );   // try to reconnect to another server
 	}
-	catch( exception &e )
+	catch( std::exception &e )
 	{
 		L << Logger::Error << m_myname << " Caught STL exception for " << m_qname << ": " << e.what() << endl;
 		throw( DBException( "STL exception" ) );
Index: modules/opendbxbackend/odbxbackend.cc
===================================================================
--- modules/opendbxbackend/odbxbackend.cc.orig	2008-05-30 10:59:22.000000000 +0200
+++ modules/opendbxbackend/odbxbackend.cc	2009-01-28 16:59:22.986277393 +0100
@@ -60,7 +60,7 @@ OdbxBackend::OdbxBackend( const string&
 		if( !connectTo( m_hosts[READ], READ ) ) { throw( AhuException( "Fatal: Connecting to server for reading failed" ) ); }
 		if( !connectTo( m_hosts[WRITE], WRITE ) ) { throw( AhuException( "Fatal: Connecting to server for writing failed" ) ); }
 	}
-	catch( exception& e )
+	catch( std::exception& e )
 	{
 		L.log( m_myname + " OdbxBackend(): Caught STL exception - " + e.what(),  Logger::Error );
 		throw( AhuException( "Fatal: STL exception" ) );
@@ -155,7 +155,7 @@ bool OdbxBackend::getDomainInfo( const s
 		}
 		while( getRecord( READ ) );
 	}
-	catch( exception& e )
+	catch( std::exception& e )
 	{
 		L.log( m_myname + " getDomainInfo: Caught STL exception - " + e.what(),  Logger::Error );
 		return false;
@@ -220,7 +220,7 @@ bool OdbxBackend::getSOA( const string&
 		}
 		while( getRecord( READ ) );
 	}
-	catch( exception& e )
+	catch( std::exception& e )
 	{
 		L.log( m_myname + " getSOA: Caught STL exception - " + e.what(),  Logger::Error );
 		return false;
@@ -259,7 +259,7 @@ bool OdbxBackend::list( const string& ta
 
 		if( !execStmt( stmtref.c_str(), stmtref.size(), READ ) ) { return false; }
 	}
-	catch( exception& e )
+	catch( std::exception& e )
 	{
 		L.log( m_myname + " list: Caught STL exception - " + e.what(),  Logger::Error );
 		return false;
@@ -327,7 +327,7 @@ void OdbxBackend::lookup( const QType& q
 			throw( DBException( "Error: DB statement failed" ) );
 		}
 	}
-	catch( exception& e )
+	catch( std::exception& e )
 	{
 		L.log( m_myname + " lookup: Caught STL exception - " + e.what(),  Logger::Error );
 		throw( DBException( "Error: STL exception" ) );
@@ -387,7 +387,7 @@ bool OdbxBackend::get( DNSResourceRecord
 			return true;
 		}
 	}
-	catch( exception& e )
+	catch( std::exception& e )
 	{
 		L.log( m_myname + " get: Caught STL exception - " + e.what(),  Logger::Error );
 		return false;
@@ -431,7 +431,7 @@ void OdbxBackend::setFresh( uint32_t dom
 			throw( DBException( "Error: DB statement failed" ) );
 		}
 	}
-	catch ( exception& e )
+	catch( std::exception& e )
 	{
 		L.log( m_myname + " setFresh: Caught STL exception - " + e.what(),  Logger::Error );
 		throw( DBException( "Error: STL exception" ) );
@@ -471,7 +471,7 @@ void OdbxBackend::setNotified( uint32_t
 			throw( DBException( "Error: DB statement failed" ) );
 		}
 	}
-	catch ( exception& e )
+	catch( std::exception& e )
 	{
 		L.log( m_myname + " setNotified: Caught STL exception - " + e.what(),  Logger::Error );
 		throw( DBException( "Error: STL exception" ) );
@@ -505,7 +505,7 @@ bool OdbxBackend::isMaster( const string
 		}
 		while( getRecord( READ ) );
 	}
-	catch ( exception& e )
+	catch( std::exception& e )
 	{
 		L.log( m_myname + " isMaster: Caught STL exception - " + e.what(),  Logger::Error );
 		return false;
@@ -530,7 +530,7 @@ void OdbxBackend::getUnfreshSlaveInfos(
 
 		getDomainList( getArg( "sql-infoslaves" ), unfresh, &checkSlave );
 	}
-	catch ( exception& e )
+	catch( std::exception& e )
 	{
 		L.log( m_myname + " getUnfreshSlaveInfo: Caught STL exception - " + e.what(),  Logger::Error );
 	}
@@ -552,7 +552,7 @@ void OdbxBackend::getUpdatedMasters( vec
 
 		getDomainList( getArg( "sql-infomasters" ), updated, &checkMaster );
 	}
-	catch ( exception& e )
+	catch( std::exception& e )
 	{
 		L.log( m_myname + " getUpdatedMasters: Caught STL exception - " + e.what(),  Logger::Error );
 	}
@@ -593,7 +593,7 @@ bool OdbxBackend::superMasterBackend( co
 		}
 	}
 	}
-	catch ( exception& e )
+	catch( std::exception& e )
 	{
 		L.log( m_myname + " superMasterBackend: Caught STL exception - " + e.what(),  Logger::Error );
 		return false;
@@ -634,7 +634,7 @@ bool OdbxBackend::createSlaveDomain( con
 
 		if( !execStmt( m_buffer, len, WRITE ) ) { return false; }
 	}
-	catch ( exception& e )
+	catch( std::exception& e )
 	{
 		L.log( m_myname + " createSlaveDomain: Caught STL exception - " + e.what(),  Logger::Error );
 		return false;
@@ -676,7 +676,7 @@ bool OdbxBackend::feedRecord( const DNSR
 
 		if( !execStmt( m_buffer, len, WRITE ) ) { return false; }
 	}
-	catch ( exception& e )
+	catch( std::exception& e )
 	{
 		L.log( m_myname + " feedRecord: Caught STL exception - " + e.what(),  Logger::Error );
 		return false;
@@ -720,7 +720,7 @@ bool OdbxBackend::startTransaction( cons
 		stmtref = strbind( ":id", string( m_buffer, len ), stmt );
 		if( !execStmt( stmtref.c_str(), stmtref.size(), WRITE ) ) { return false; }
 	}
-	catch ( exception& e )
+	catch( std::exception& e )
 	{
 		L.log( m_myname + " startTransaction: Caught STL exception - " + e.what(),  Logger::Error );
 		return false;
@@ -746,7 +746,7 @@ bool OdbxBackend::commitTransaction()
 		const string& stmt = getArg( "sql-transactend" );
 		if( !execStmt( stmt.c_str(), stmt.size(), WRITE ) ) { return false; }
 	}
-	catch ( exception& e )
+	catch( std::exception& e )
 	{
 		L.log( m_myname + " commitTransaction: Caught STL exception - " + e.what(),  Logger::Error );
 		return false;
@@ -772,7 +772,7 @@ bool OdbxBackend::abortTransaction()
 		const string& stmt = getArg( "sql-transactabort" );
 		if( !execStmt( stmt.c_str(), stmt.size(), WRITE ) ) { return false; }
 	}
-	catch ( exception& e )
+	catch( std::exception& e )
 	{
 		L.log( m_myname + " abortTransaction: Caught STL exception - " + e.what(),  Logger::Error );
 		return false;
